Subscriptions
curl --request GET \
--url https://api.marzipan.co/v1/account/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.marzipan.co/v1/account/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.marzipan.co/v1/account/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1224f9ef-8caf-4564-9474-023f95819949",
"subscriptionType": "variable",
"name": "Discovery Plan",
"productId": "084b80ef-d16d-4531-a25f-40b7ff4c744b",
"price": "£9.99",
"status": "active",
"startDate": "2024-10-07T12:12:58.000000Z",
"endDate": "2030-10-07T12:12:58.000000Z",
"renewalDate": "2025-01-07T12:12:58.000000Z",
"billingInterval": 3
},
{
"id": "feb40b5e-bde2-4494-a547-12f6ab368ca9",
"subscriptionType": "variable",
"name": "Premium Selection",
"productId": "0b0210cb-5180-49b8-81f0-82ea693fcc37",
"price": "£24.99",
"status": "active",
"startDate": "2025-05-05T15:31:18.000000Z",
"endDate": "2031-05-05T15:31:18.000000Z",
"renewalDate": "2025-09-05T15:31:18.000000Z",
"billingInterval": 1
}
]
}{
"message": "string"
}Account
Subscriptions
Get all active and inactive subscriptions for the authenticated user, including subscription details and renewal dates.
GET
/
account
/
subscriptions
Subscriptions
⌘I

